package de.ugoe.cs.swe.exercises.tests;

import de.ugoe.cs.swe.exercises.exercise.Exercise;
import de.ugoe.cs.swe.exercises.exercisesheet.ExerciseSheet;
import de.ugoe.cs.swe.exercises.exercisesheet.PdfGenerator;
import de.ugoe.cs.swe.exercises.lecture.Lecture;
import de.ugoe.cs.swe.exercises.lectureevent.LectureEvent;

public class PdfGeneratorTest extends BaseTest{

//	@Test
	public void testGeneratePdf() {
		Lecture informatik = new Lecture("Informatik I");
		informatik.save();
		LectureEvent infoEvent = new LectureEvent(2009, LectureEvent.SS,
				informatik);
		infoEvent.save();
		ExerciseSheet sheet = new ExerciseSheet(1, 1, 5, false, infoEvent,5);
		sheet.save();

		Exercise testInt2 = new Exercise("Hans theorem", "Hans", "Wurst", 6);
		Exercise test1 = new Exercise("Penner's lemma", "Penner", "Sack", 6,1);
		Exercise test3 = new Exercise("sfasf solve", "sgfgfg", "gfdfg", 7,2);
		testInt2.save();
		test1.save();
		test3.save();
		
		sheet.addExercise(testInt2);
		sheet.addExercise(test1);
		sheet.addExercise(test3);
		
		PdfGenerator.generatePdf(sheet, "output.pdf", false, true);
	}

}
